Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 4.0.103
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.je.jmx
Class JEDiagnostics

    java.lang.Object
      com.sleepycat.je.jmx.JEMBean
          com.sleepycat.je.jmx.JEDiagnostics

All Implemented Interfaces:
  com.sleepycat.je.dbi.EnvironmentImpl.MBeanRegistrar, DynamicMBean

    public class JEDiagnostics

extends JEMBean
implements DynamicMBean

JEDiagnostics is a debugging mbean for a non replicated JE Environment. This is intended as a locus of field support functionality. While it may be used by the application developer, the primary use case is for a support situation. Currently much of this functionality is also available through the standard java.util.logging MBean.

It is a concrete MBean created by registering a JE Environment as an MBean through setting the JEDiagnostics system property. It only works on an active JE Environment, and one Environment can only have on JEDiagnostics instance. There are three attributes and two operations:

Attributes:

- memoryHandlerLevel: which sets the memory handler push level.
- consoleHandlerLevel: which sets the console handler level.
- fileHandlerLevel: which sets the file handler level.

Operations:

- resetLoggingLevel: which sets the level for the current loggers in the LogManager.
- pushMemoryHandler: which pushes all the logging information in the memory handler to the console handler.

We can use these attributes and operations to dynamically change the logger's level and dump logging information in the memory handler for debugging purposes.

Field Summary
`protected static MBeanAttributeInfo` | `ATT_CONSOLEHANDLER_LEVEL`
`protected static MBeanAttributeInfo` | `ATT_FILEHANDLER_LEVEL`
`protected static MBeanAttributeInfo` | `ATT_MEMORYHANDLER_LEVEL`
`protected static String` | `CONSOLEHANDLER_LEVEL`
`protected static String` | `FILEHANDLER_LEVEL`
`protected static String` | `MEMORYHANDLER_LEVEL`
`protected static String` | `OP_PUSH_MEMORYHANDLER`
`protected static MBeanOperationInfo` | `OP_PUSH_MEMORYHANDLER_INFO`
`protected static String` | `OP_RESET_LOGGING`
`protected static MBeanOperationInfo` | `OP_RESET_LOGGING_LEVEL`
`protected static MBeanParameterInfo[]` | `resetLoggingParams`

Fields inherited from class com.sleepycat.je.jmx.JEMBean
`className, currentClass, DESCRIPTION, env, jeName, operationList, server, statParams`

Constructor Summary
`` | `JEDiagnostics()`
`protected` | `JEDiagnostics(Environment env)`

Method Summary
`protected void` | `addOperations()` Add MBean operations into the list.
`protected void` | `doRegisterMBean(Environment env)`
`Object` | `getAttribute(String attributeName)`
`protected MBeanAttributeInfo[]` | `getAttributeList()` Get attribute metadata for this MBean.
`AttributeList` | `getAttributes(String[] attributes)`
`protected void` | `initClassFields()`
`Object` | `invoke(String actionName, Object[] params, String[] signature)`
`void` | `setAttribute(Attribute attribute)`
`AttributeList` | `setAttributes(AttributeList attributes)`

Methods inherited from class com.sleepycat.je.jmx.JEMBean
`doRegister, doUnregister, getConstructors, getMBeanInfo, getNotificationInfo, getStatsConfig, resetMBeanInfo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.management.DynamicMBean
`getMBeanInfo`

Field Detail

### MEMORYHANDLER_LEVEL

    protected static final String MEMORYHANDLER_LEVEL

See Also:
  Constant Field Values

### CONSOLEHANDLER_LEVEL

    protected static final String CONSOLEHANDLER_LEVEL

See Also:
  Constant Field Values

### FILEHANDLER_LEVEL

    protected static final String FILEHANDLER_LEVEL

See Also:
  Constant Field Values

### ATT_MEMORYHANDLER_LEVEL

    protected static final MBeanAttributeInfo ATT_MEMORYHANDLER_LEVEL

### ATT_CONSOLEHANDLER_LEVEL

    protected static final MBeanAttributeInfo ATT_CONSOLEHANDLER_LEVEL

### ATT_FILEHANDLER_LEVEL

    protected static final MBeanAttributeInfo ATT_FILEHANDLER_LEVEL

### OP_RESET_LOGGING

    protected static final String OP_RESET_LOGGING

See Also:
  Constant Field Values

### OP_PUSH_MEMORYHANDLER

    protected static final String OP_PUSH_MEMORYHANDLER

See Also:
  Constant Field Values

### resetLoggingParams

    protected static final MBeanParameterInfo[] resetLoggingParams

### OP_RESET_LOGGING_LEVEL

    protected static final MBeanOperationInfo OP_RESET_LOGGING_LEVEL

### OP_PUSH_MEMORYHANDLER_INFO

    protected static final MBeanOperationInfo OP_PUSH_MEMORYHANDLER_INFO

Constructor Detail

### JEDiagnostics

    protected JEDiagnostics(Environment env)

### JEDiagnostics

    public JEDiagnostics()

Method Detail

### initClassFields

    protected void initClassFields()

  Specified by:
    `initClassFields` in class `JEMBean`

### getAttribute

    public Object getAttribute(String attributeName)
                        throws AttributeNotFoundException,
                               MBeanException

  Specified by:
    `getAttribute` in interface `DynamicMBean`
  Throws:
    `AttributeNotFoundException`
    `MBeanException`
  See Also:
    `DynamicMBean.getAttribute(java.lang.String)`

### setAttribute

    public void setAttribute(Attribute attribute)
                      throws AttributeNotFoundException,
                             InvalidAttributeValueException,
                             MBeanException

  Specified by:
    `setAttribute` in interface `DynamicMBean`
  Throws:
    `AttributeNotFoundException`
    `InvalidAttributeValueException`
    `MBeanException`
  See Also:
    `DynamicMBean.setAttribute(javax.management.Attribute)`

### getAttributes

    public AttributeList getAttributes(String[] attributes)

  Specified by:
    `getAttributes` in interface `DynamicMBean`
  See Also:
    `DynamicMBean.getAttributes(java.lang.String[])`

### setAttributes

    public AttributeList setAttributes(AttributeList attributes)

  Specified by:
    `setAttributes` in interface `DynamicMBean`
  See Also:
    `DynamicMBean.setAttributes(javax.management.AttributeList)`

### invoke

    public Object invoke(String actionName,
                         Object[] params,
                         String[] signature)
                  throws MBeanException

  Specified by:
    `invoke` in interface `DynamicMBean`
  Throws:
    `MBeanException`
  See Also:
    `DynamicMBean.invoke(java.lang.String, java.lang.Object[], java.lang.String[])`

### doRegisterMBean

    protected void doRegisterMBean(Environment env)
                            throws Exception

  Specified by:
    `doRegisterMBean` in class `JEMBean`
  Throws:
    `Exception`

### getAttributeList

    protected MBeanAttributeInfo[] getAttributeList()

  Description copied from class: `JEMBean`
  Get attribute metadata for this MBean.

  Specified by:
    `getAttributeList` in class `JEMBean`
  Returns:
    array of MBeanAttributeInfo objects describing the available attributes.

### addOperations

    protected void addOperations()

  Description copied from class: `JEMBean`
  Add MBean operations into the list.

  Specified by:
    `addOperations` in class `JEMBean`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 4.0.103
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2010 Oracle. All rights reserved.